Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoEnabledElementsList Class Reference
[Actions]

The SoEnabledElementsList class is a container for type info for element types that are enabled in actions. More...

`#include <Inventor/lists/SoEnabledElementsList.h>`

List of all members.

## Public Methods
| SoEnabledElementsList (SoEnabledElementsList *const parentlist)
| ~SoEnabledElementsList ()
const SoTypeList & | getElements (void) const
void | enable (const SoType elementtype, const int stackindex)
void | merge (const SoEnabledElementsList &eel)
## Static Public Methods
int | getCounter (void)

## Detailed Description

The SoEnabledElementsList class is a container for type info for element types that are enabled in actions.

This class is probably not interesting for the application programmer.

## Constructor & Destructor Documentation

SoEnabledElementsList::SoEnabledElementsList | ( | SoEnabledElementsList *const | parentlist | ) |

| Constructor.

SoEnabledElementsList::~SoEnabledElementsList | ( |  | ) |

| Destructor.

## Member Function Documentation

const SoTypeList & SoEnabledElementsList::getElements | ( | void |  | ) | const

| Return the list of enabled elements.

void SoEnabledElementsList::enable | ( | const SoType | elementtype,
|  | const int | stackindex
| ) |

| Add an elementtype to the list of enabled elements if it's not enabled already.

void SoEnabledElementsList::merge | ( | const SoEnabledElementsList & | eel | ) |

| Enables all the elements from the eel list that is enabled in this instance.

int SoEnabledElementsList::getCounter | ( | void |  | ) | `[static]`

| Return the current setting of the global counter used to determine when lists are out of date. It is incremented whenever a new element is added to a list.

The documentation for this class was generated from the following files:

- SoEnabledElementsList.h
- SoEnabledElementsList.cpp